Skip to main content
`Ctrl`+`K`

# DMDASetNumLocalSubDomains

Sets the number of local subdomains to create when decomposing with `DMCreateDomainDecomposition()`

## Synopsis

    #include "petscdmda.h"
    PetscErrorCode DMDASetNumLocalSubDomains(DM da, PetscInt Nsub)

Not Collective

## Input Parameters

- da - The `DMDA`

- Nsub - The number of local subdomains requested

## See Also

DMDA - Creating vectors for structured grids, `DM`, `DMDA`, `DMCreateDomainDecomposition()`, `DMDAGetNumLocalSubDomains()`

## Level

intermediate

## Location

src/dm/impls/da/da.c

Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages